
package de.ivu.elect.business.stimmeingabe.control;

import java.util.Collection;

import de.ivu.elect.business.ergebnis.entity.Stimmenart;
import de.ivu.elect.business.gruppeimgebiet.entity.GruppeImGebiet;
import de.ivu.elect.business.stimmeingabe.entity.Ergebniseingangsart;
import de.ivu.elect.business.stimmeingabe.entity.Stimmeingabe;
import de.ivu.elect.business.wahl.entity.Wahlart;

public interface StimmeingabeKopfzahlErfassenLabelGenerator {

  boolean isAkzeptiertWahlart(Wahlart wahlart);

  String getKopfzahlKennung(GruppeImGebiet gruppeImGebiet, Collection<GruppeImGebiet> gruppenImGebiet);

  String getKopfzahlBezeichnung(GruppeImGebiet gruppeImGebiet, Collection<GruppeImGebiet> gruppenImGebiet);

  String getKopfzahlStimmeingabeKennung(Stimmeingabe stimmeingabe, Collection<GruppeImGebiet> gruppenImGebiet);

  String getKopfzahlStimmeingabeBezeichnung(Stimmeingabe stimmeingabe, Collection<GruppeImGebiet> gruppenImGebiet);

  String getKopfzahlKennung(GruppeImGebiet gruppeImGebiet, Ergebniseingangsart ergebniseingangsart, Stimmenart stimmenart);

  String getKopfzahlBezeichnung(GruppeImGebiet gruppeImGebiet, Ergebniseingangsart ergebniseingangsart, Stimmenart stimmenart);
}
